<?php
/*
Plugin Name: Openness - grandchild theme
Description: 
Author: Łukasz Jasiński
Author URI: https://www.ljasinski.pl
Version: 1.0
*/
add_action('wp_head', 'openness_grandchild_add_headers', 0);
add_action('init', 'openness_grandchild_add_css');
add_action('init', 'openness_grandchild_add_js');

function openness_grandchild_add_css() {
    wp_register_style ('grandchild_style', plugins_url('style.css', __FILE__));
}

function openness_grandchild_add_js() {
	wp_register_script( 'grandchild-script', plugins_url( 'grandchild-scripts.js', __FILE__ ), array( 'jquery' ), '1.0' );

}

function openness_grandchild_add_headers () {
    wp_enqueue_style('grandchild_style');
    wp_enqueue_script('grandchild-script');
}

function openness_grandchild_template( $template ) {
	if( is_home() )
		$template = dirname( __FILE__ ) . '/templates/home.php';

	return $template;
}

add_filter( 'template_include', 'openness_grandchild_template', 11 );